'''
Parent computational module.
'''

from .cell import Cell
from .sensor import Sensor
from .solvers import solve_steady_state
from .doppler_exact import doppler_1d_exact
from .timesolvers import solve_time
from .experiments import get_snr
from .rydiqule_utils import about

from . import sensor_utils
from . import doppler_utils

#util
from .sensor_utils import get_rho_ij, get_rho_populations, scale_dipole, draw_diagram, expand_statespec
from .atom_utils import A_QState, D1_states, D2_states, ground_state, D1_excited, D2_excited
from .atom_utils import expand_qnums, calc_kappa, calc_eta
from .arc_utils import RQ_AlkaliAtom

from .exceptions import RydiquleError, AtomError, CouplingNotAllowedError
from .exceptions import (
    RydiquleWarning,
    RWAWarning,
    PopulationNotConservedWarning,
    TimeDependenceWarning,
    NLJMWarning,
    set_debug_state,
)

from .__version__ import __version__
